Skip to main content
`Ctrl`+`K`

# PetscRegressorView

Prints information about the `PetscRegressor` object

## Synopsis

    PetscErrorCode PetscRegressorView(PetscRegressor regressor, PetscViewer viewer)

Collective

## Input Parameters

- regressor - the `PetscRegressor` context

- viewer - a `PetscViewer` context

## Options Database Key

- -regressor_view - Calls `PetscRegressorView()` at the end of `PetscRegressorFit()`

## Notes

The available visualization contexts include

- `PETSC_VIEWER_STDOUT_SELF` - standard output (default)

- `PETSC_VIEWER_STDOUT_WORLD` - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

## See Also

PetscRegressor: Regression Solvers, `PetscRegressor`, `PetscViewerASCIIOpen()`

## Level

beginner

## Location

src/ml/regressor/interface/regressor.c

## Implementations

PetscRegressorView_Linear() in src/ml/regressor/impls/linear/linear.c

Index of all PetscRegressor routines
Table of Contents for all manual pages
Index of all manual pages